<?php declare(strict_types=1);

namespace App\Entity;

/**
 *
 */
class Panel
{
    /**
     * @param string $name
     * @param int $id
     * @param string $a
     * @param string $aaaa
     * @param string $apikey
     * @param string $apikeyPrefix
     * @param string $self
     */
    public function __construct(

        private string                        $name,
        private int                           $id = 0,
        private string                        $a = '',
        private string                        $aaaa = '',
        private string                        $apikey = '',
        private string                        $apikeyPrefix = '',
        private string                        $self = 'no',
    )
    {}



    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName(string $name): void
    {
        $this->name = $name;
    }

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId(int $id): void
    {
        $this->id = $id;
    }

    /**
     * @return string
     */
    public function getA(): string
    {
        return $this->a;
    }


    /**
     * @return string
     */
    public function getSelf(): string
    {
        return $this->self;
    }

    /**
     * @param string $self
     */
    public function setSelf(string $self): void
    {
        $this->self = $self;
    }



    /**
     * @return string
     */
    public function getAaaa(): string
    {
        return $this->aaaa;
    }

    /**
     * @return string
     */
    public function getApikey(): string
    {
		return $this->apikey;
	}



    /**
     * @param string $apikey
     */
    public function setApikey(string $apikey): void
    {
        $this->apikey = $apikey;
    }



    /**
     * @param string $a
     */
    public function setA(string $a): void
    {
        $this->a = $a;
    }

    /**
     * @param string $aaaa
     */
    public function setAaaa(string $aaaa): void
    {
        $this->aaaa = $aaaa;
    }


    /**
     * @return string
     */
    public function getApikeyPrefix(): string
    {
        return $this->apikeyPrefix;
    }

    /**
     * @param string $apikeyPrefix
     */
    public function setApikeyPrefix(string $apikeyPrefix): void
    {
        $this->apikeyPrefix = $apikeyPrefix;
    }

}
